@import "../../../_mixins.scss";
.project-dashboard {
  display: flex;
  flex-direction: column;
  .budget-review-container {
    position: relative;
    #budget-review-list {
      height: auto !important;
      max-height: 70vh;
    }
    .budget-review-infinite-list {
      .top-action {
        flex-wrap: wrap;
        .custom-search-outside {
          width: 300px;
          padding: 5px 20px 5px 15px;
        }
        .total-count {
          padding: 0 5px;
          margin: 0;
          font-size: var(--font-m);
          font-weight: 600;
        }
        .check-box-filters {
          width: 100%;
          margin: 0 0 5px 15px;
          .checkbox-holder {
            margin: auto 0;
          }
        }
      }
      .header {
        .project-status {
          align-self: center;
          justify-content: center;
        }
      }
      .width-10 {
        align-items: center;
        text-align: center;
      }
      .project-status {
        padding: 2px 0;
        display: flex;
        align-self: stretch;
      }
    }
  }
  .project-list {
    background: white;
    position: relative;
    margin: 0 5px;
    .pmo-review-spinner {
      position: absolute;
      top: 100px;
    }
    .project-list-table {
      margin-top: 20px;
    }
  }
  .dashboard-pmo__table-top {
    display: flex;
    font-size: var(--font-m);
    font-weight: 600;
    background: white;
    .dashboard-pmo__search {
      max-width: 300px;
      align-self: center;
      padding-left: 15px;
      .field__label {
        display: none !important;
      }
      .field__error {
        display: none !important;
      }
    }
    .filters {
      line-height: 3;
      padding: 5px 0;
      display: flex;
      max-width: 65%;
      .filters-h3 {
        display: flex;
        align-items: center;
        span {
          display: inline-block;
          width: 105px;
        }
      }
      span.filter__label {
        display: inline-block;
        min-width: 130px;
        align-self: center;
      }
      .tiles {
        display: flex;
        padding: 6px 0 0 0;
        flex-wrap: wrap;
        .filter-tile {
          border: 1px solid #ccc;
          padding: 0px 5px;
          display: flex;
          height: 23px;
          justify-content: space-between;
          line-height: 1.7;
          margin: 2px 0 0 5px;
          background: white;
          img.d-pointer.icon-remove {
            width: 14px;
            border-left: 1px solid #ccc;
            padding: 0 0 0 5px;
            margin: 0 0 0 3px;
          }
        }
        .clear-filter-applied {
          color: red;
          cursor: pointer;
        }
      }
      .tiles > * {
        flex: auto auto auto;
      }
    }
    img.filter-img {
      filter: invert(1);
      padding: 0 4px 0px 5px;
    }
    .no-filter-applied {
      font-size: var(--font-s);
      font-weight: 100;
      line-height: 2;
      padding: 0px 10px;
      color: #777;
    }
    .total-count {
      padding: 0px 5px;
      align-self: center;
      span {
        color: var(--grey-label);
      }
    }
    .add-new-pmo-note {
      min-width: unset;
      margin: 10px 15px;
    }
    .pmo-notes-checkbox {
      align-self: center;
      margin: 0 15px 0 auto;
    }
  }
  .review-ff-checkbox {
    margin-left: 15px;
  }
  .pmo-tabs__header {
    display: flex;
    min-width: unset;
    margin: 5px 0 5px 5px;
  }

  .pmo-tabs__header-link {
    border-radius: 2px;
    font-family: var(--font-first);
    cursor: pointer;
    font-weight: 700;
    font-size: var(--font-s);
    line-height: 1;
    font-style: normal;
    font-stretch: normal;
    letter-spacing: 0.2px;
    text-align: left;
    color: var(--primary);
    border-color: var(--primary);
    padding: 9px 14px;
    text-align: center;
    outline: none;
    margin: 0 5px 0 0;
    min-width: 11opx;
    border: 1px solid var(--primary);
    background: var(--default);

    @include transitions(all 0.5s ease);
    @include text_one_line;

    &:hover,
    &:active,
    &:focus,
    &:focus:active,
    &:hover:active {
      background: var(--primary);
      color: var(--default);
      border-color: var(--primary);
      img {
        filter: invert(75%);
      }
    }

    &.--active {
      background: var(--primary);
      color: var(--default);
      border-color: var(--app-bg);
      cursor: not-allowed;
      img {
        filter: invert(75%);
      }
      position: relative;
      display: block;
      &::after {
        position: absolute;
        bottom: 0;
        height: 0;
        width: 0;
        left: 43%;
        border: 6px solid transparent;
        border-bottom-color: var(--app-bg);
        content: "";
      }
    }
  }
  .pmo-dashboard-label {
    padding: 7px 0;
    margin-left: -10px;
  }
  .header-actions {
    margin: 10px 0 10px 0;
  }
  .header-dashboard {
    display: flex;
    margin-bottom: 5px;
    .project-name {
      min-width: 170px;
      font-weight: 600;
      font-size: var(--font-xs);
      cursor: pointer;
      justify-content: center;
      gap: 5px;
    }
    .pm {
      cursor: pointer;
      font-weight: 600;
      font-size: var(--font-xs);
      min-width: 32px;
    }
    .status {
      font-size: var(--font-xs);
      font-weight: 600;
      margin-left: 5px;
      display: flex;
      cursor: pointer;
      justify-content: center;
    }
  }
  .row-panel-dashboard {
    display: flex;
    margin: 0 0 8px 0;
    .project-details {
      cursor: pointer;
      display: flex;
    }
    .project-name {
      display: flex;
      border-left: 5px solid #ccc;
      margin: 0 0 0 0px;
      padding: 0 0 0 5px;
      height: 60px;
      background: #cccccc45;
      line-height: 30px;
      flex-direction: column;
      .name-bold {
        font-weight: 600;
      }
    }
    .color-preview-dashboard {
      padding: 0;
      line-height: 2.5;
      font-weight: 600;
      display: flex;
      flex-direction: row;
      margin-left: 5px;
      height: 60px;
      .left-column {
        width: 5px;
      }
      .text {
        width: 100%;
        padding: 0 10px !important;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        font-size: var(--font-m);
        place-content: flex-start;
        line-height: 5;
      }
    }
  }

  .project-name {
    display: flex;
    justify-content: space-around;
    cursor: pointer;
    .ellipsis-text {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      width: 150px;
      text-align: left;
    }
  }
  .status {
    min-width: 8vw;
    text-align: center;
    font-size: var(--font-m);
    font-stretch: normal;
    font-style: normal;
    letter-spacing: normal;
    text-align: left;
    width: 8vw;
  }
  .manager {
    display: flex;
    margin: 0 !important;
    padding: 27px 0 0 5px;
    height: 60px !important;
    background: #cccccc45;
  }

  .progress-dashboard {
    width: 75px;
    text-align: center;
    font-size: var(--font-xs);
    font-weight: 600;
    cursor: pointer;
    justify-content: space-evenly;
  }
  .pr-up-html-h1 {
    flex-grow: 1;
    flex-shrink: 1;
    font-weight: 600;
    text-align: center;
    font-size: var(--font-xs);
  }
  .pr-up-etc-h1 {
    cursor: pointer;
    width: 170px;
    font-weight: 600;
    text-align: center;
    font-size: var(--font-xs);
    align-items: center;
  }
  .percentage {
    width: 60px;
    text-align: center;
    font-size: var(--font-l);
    font-weight: 600;
    margin: -10px -3px 0 0;
    padding: 0 1px 0 0px;
    height: var(--input-height);
    color: #999;
    line-height: 30px;
    display: flex;
    justify-content: center;
  }
  .progressbar-dashboard {
    width: 75px;
    min-width: 75px;
    text-align: center;
    font-size: var(--font-m);
    font-weight: 600;
    margin: 0 5px 0 5px;
    padding: 0 3px 0 5px;
    height: 60px;
    background: #cccccc45;
    line-height: 43px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    .progress-bar-custom-outer {
      color: black;
      height: 5px;
      width: 55px;
      margin: -5px auto 0 auto;
      background: #ccc;
      border-radius: 10px;
    }
    .progress-bar-custom {
      height: 5px;
      margin: 0px auto 0 auto;
      float: left;
      border-radius: 10px;
    }
  }
  .user-image-component {
    display: flex;
    height: var(--input-height);
    margin: 2px 0 -7px -7px;
    line-height: 3.5;
    text-align: center;
    .pm-image-circle {
      width: 30px;
      height: 30px;
      display: inline-block;
      border-radius: 50%;
      background-repeat: no-repeat;
      background-position: center center;
      background-size: cover;
      border: 1px solid #ccc;
      margin: 0px 5px 0 0;
    }
  }
  .pr-up-no-data {
    display: flex;
    font-weight: 600;
    color: #999;
    justify-content: center;
    font-size: var(--font-l);
    background: #cccccc45;
    margin-right: 5px;
    height: 60px;
    align-items: center;
  }
  .pr-up-etc {
    height: 60px;
    width: 170px;
    min-width: 170px;
    display: flex;
    font-weight: 500;
    align-items: center;
    background: #cccccc45;
    justify-content: center;
    font-size: 2rem;
  }
  .pr-up-html-section {
    display: flex;
    flex-grow: 1;
    .pr-up-no-data {
      width: 50%;
    }
    .pr-up-html {
      width: 50%;
      padding: 5px 0 5px 5px;
      overflow: auto;
      max-height: 60px;
      font-weight: 500;
      margin-right: 5px;
      height: 60px;
      background: #cccccc45;
      ul,
      ol {
        padding-left: 0;
      }
      @include small_scroll();
    }
  }
  .load-more {
    border: 1px solid #ccc;
    display: flex;
    padding: 10px;
    justify-content: center;
    margin: 40px;
    cursor: pointer;
    &:hover {
      color: blue;
      text-decoration: underline;
    }
  }
  .budget-review-wrapper {
    margin: 0 5px;
    position: relative;
    .dashboard-pmo__table-top {
      z-index: 1;
      position: absolute;
      width: fit-content;
      left: 385px;
      #pmo-total-filter-sep {
        display: inline-flex;
        align-items: center;
        color: var(--grey-label);
      }
      .filters {
        max-width: unset;
      }
    }
  }
}

.project-count {
  min-width: 135px;
  font-weight: 600;
  font-size: var(--font-m);
}

.pmo-note-input {
  width: 100%;
  position: relative;
  .pmo-note-modal-loader {
    top: 70px;
    z-index: 1;
    position: absolute;
  }
  .pmo-notes-quill {
    padding: 0;
    .quill {
      height: unset;
    }
  }
}

.pmo-notes-modal {
  .modal-dialog {
    width: unset;
    .modal-content {
      width: 70%;
      min-width: unset;
    }
  }
}

.pmo-notes-container {
  .dashboard-pmo__table-top {
    flex-direction: column;
  }
  .notes-row {
    padding: 7px 15px 7px 50px;
    border-top: solid 1px #dce6ea;
    .user {
      display: flex;
      font-weight: 600;
      line-height: 2.2;
      margin: 0 0 0 -25px;
      .pmo-user-image {
        gap: 8px;
        .name {
          font-size: var(--font-m);
        }
        .pm-image-circle {
          width: 35px;
          height: 35px;
        }
      }
    }
    .note {
      font-weight: 500;
      padding: 5px 0 10px 17px;
      white-space: pre-line;
      font-size: var(--font-s);
    }
    .note.ql-editor {
      ul,
      ol {
        padding-left: 0px;
      }
    }
    .date {
      color: #999;
      font-size: var(--font-xs);
      padding: 0 0 0 17px;
    }
  }

  .actions-notes {
    float: right;
    margin-top: -20px;
    display: flex;
    gap: 10px;
    margin-right: 25px;
    .pmo-notes-archive-button {
      .btn.delete-confirm-btn {
        background: url(/assets/icons/archive-filled-box.svg) center no-repeat;
        background-size: 14px;
        background-color: #f3f3f3;
        &:hover,
        &:focus,
        &:active:hover,
        &:active:focus,
        &:hover:focus,
        &:active {
          background: url(/assets/icons/archive-filled-box.svg) center no-repeat;
          background-size: 18px;
          background-color: #dfdfdf;
        }
      }
    }
    .edit-btn {
      margin: 0;
      border-radius: 4px;
      border: none;
      background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
      background-color: #f3f3f3;
      &:hover,
      &:focus,
      &:active:hover,
      &:active:focus,
      &:hover:focus,
      &:active {
        border: none;
        background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
        background-size: 18px;
        background-color: #dfdfdf;
      }
    }
    .confirm-help-icon.remove {
      .icon-remove-c {
        width: 15px;
        height: 15px;
        margin: 0;
        opacity: 0.5;
      }
    }
  }
}

.pmo-notes-confirm-box {
  .btn-danger {
    background-color: var(--primary) !important;
    border: 1px solid var(--primary) !important;
  }
}
